Index: /trunk/Poubelle/archTOI.old/Makefile
===================================================================
--- /trunk/Poubelle/archTOI.old/Makefile	(revision 625)
+++ /trunk/Poubelle/archTOI.old/Makefile	(revision 626)
@@ -2,10 +2,14 @@
   CXX  = cxx
 endif
-ifndef (CFITSIODIR)
+ifndef CFITSIODIR
   CFITSIODIR = ../cfitsio
 endif
-CPPFLAGS    =-O -g -I$(CFITSIODIR)
-
-LDLIBS=-L$(CFITSIODIR)/$(HOSTTYPE) -lcfitsio
+
+MACHEROS := $(shell echo `uname`)
+MACHDIR := $(MACHEROS)-$(CXX)
+
+CPPFLAGS    =-O -g -I$(CFITSIODIR) -DANSI
+
+LDLIBS=-L$(CFITSIODIR)/$(MACHDIR) -lcfitsio
 
 ifdef NOSHLIB
@@ -21,16 +25,26 @@
 
 clean:
-	rm -f archtoi *.o archdump
-
-
-archtoi: archtoimain.o archtoi.o archeopsfile.o decompress.o toiiter.o toisvr.o archeops.o \
-         ssthandler.o toiinterpolator.o gpsparser.o asigps.o \
+	rm -f archtoi *.o 
+
+
+archtoi: archtoimain.o archtoi.o archeopsfile.o archfileset.o \
+         archeops.o decompress.o arcunit.o \
+         tokenizer.o \
+         toi.o toiiter.o toimanager.o toiproducer.o \
+         toiabsorber.o toiderivproducer.o toipullproducer.o \
+	 toirepeater.o toiflagger.o toiinterpolator.o \
+         toillboloproducer.o toilldiluproducer.o \
+         toillgpsproducer.o toillgyroproducer.o toillreglageproducer.o \
+         toillsstproducer.o \
+         gpsparser.o asigps.o toiauxgpsproducer.o toiboloproducer.o \
          auxinterpgps.o tsid.o archparam.o dyffttools.o fft_mayer.o \
          formepulse.o pisteetoile.o sstetoile.o transfelec.o \
-	 gyrohandler.o aa_hadec.o templocator.o plgalcross.o \
-	 arcunit.o
+	 aa_hadec.o templocator.o plgalcross.o \
+	 tsidproducer.o timetoiproducer.o sststarfinder.o \
+         starmatcher.o galcrosslocator.o gyrocalibrator.o \
+         rotspeed.o  gondolageom.o \
+	 nrutil.o lfit.o gaussj.o covsrt.o polfitclip.o
 	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ -lm 
-archdump: archtoidump.o archeopsfile.o decompress.o archeops.o ssthandler.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ -lm
+
 
 aa_hadec.o: aa_hadec.c aa_hadec.h
@@ -44,53 +58,144 @@
 arcunit.o: arcunit.c manip.h archeops.h archeops_28.h arcunit.h
 compress.o: compress.c manip.h compress.h
+covsrt.o: covsrt.c
 decompress.o: decompress.c archeops.h archeops_28.h compress.h
+gaussj.o: gaussj.c nrutil.h
+lfit.o: lfit.c nrutil.h
+nrutil.o: nrutil.c
 opendir.o: opendir.c dirent.h
-archeopsfile.o: archeopsfile.cc archeopsfile.h archeops.h \
- archeops_28.h ssthandler.h sstetoile.h pisteetoile.h transfelec.h \
- formepulse.h gpsparser.h gyrohandler.h compress.h arcunit.h
+archeopsfile.o: archeopsfile.cc archeopsfile.h ark.h archeops.h \
+ archeops_28.h arcunit.h archexc.h compress.h
+archfileset.o: archfileset.cc archfileset.h archeopsfile.h ark.h \
+ archeops.h archeops_28.h arcunit.h archexc.h archparam.h \
+ toiproducer.h toi.h toimanager.h
 archparam.o: archparam.cc archparam.h
-archtoi.o: archtoi.cc archeopsfile.h archeops.h archeops_28.h \
- ssthandler.h sstetoile.h pisteetoile.h transfelec.h formepulse.h \
- gpsparser.h toisvr.h toiiter.h auxgps.h tsid.h archtoi.h \
- ../cfitsio/fitsio.h ../cfitsio/longnam.h archparam.h archvers.h
-archtoidump.o: archtoidump.cc archeopsfile.h archeops.h archeops_28.h \
- ssthandler.h sstetoile.h pisteetoile.h transfelec.h formepulse.h \
- gpsparser.h archtoi.h toisvr.h toiiter.h auxgps.h tsid.h \
- ../cfitsio/fitsio.h ../cfitsio/longnam.h
-archtoimain.o: archtoimain.cc archeopsfile.h archeops.h archeops_28.h \
- ssthandler.h sstetoile.h pisteetoile.h transfelec.h formepulse.h \
- gpsparser.h archtoi.h toisvr.h toiiter.h auxgps.h tsid.h \
- ../cfitsio/fitsio.h ../cfitsio/longnam.h
+archtoi.o: archtoi.cc archeopsfile.h ark.h archeops.h archeops_28.h \
+ arcunit.h archexc.h toiiter.h toiabsorber.h toi.h requesthandler.h \
+ archfileset.h toimanager.h archtoi.h ../cfitsio/fitsio.h \
+ ../cfitsio/longnam.h archparam.h archvers.h
+archtoidump.o: archtoidump.cc archeopsfile.h ark.h archeops.h \
+ archeops_28.h arcunit.h archexc.h archtoi.h toiiter.h toiabsorber.h \
+ toi.h requesthandler.h archfileset.h ../cfitsio/fitsio.h \
+ ../cfitsio/longnam.h toisvr.h
+archtoimain.o: archtoimain.cc archeopsfile.h ark.h archeops.h \
+ archeops_28.h arcunit.h archexc.h archtoi.h toiiter.h toiabsorber.h \
+ toi.h requesthandler.h archfileset.h ../cfitsio/fitsio.h \
+ ../cfitsio/longnam.h toimanager.h
 asigps.o: asigps.cc asigps.h auxinterpgps.h auxgps.h
 auxinterpgps.o: auxinterpgps.cc auxinterpgps.h auxgps.h \
  ../cfitsio/fitsio.h ../cfitsio/longnam.h archvers.h
+cmvplgalc.o: cmvplgalc.cc plgalcross.h
 dyffttools.o: dyffttools.cc dyffttools.h
 fft_mayer.o: fft_mayer.cc mayer_fft.h trigtbl.h
 formepulse.o: formepulse.cc mayer_fft.h dyffttools.h transfelec.h \
  formepulse.h ssthardware.h
+galcrosslocator.o: galcrosslocator.cc galcrosslocator.h \
+ toipullproducer.h toiderivproducer.h toiproducer.h toi.h ark.h \
+ archeops.h archeops_28.h arcunit.h toiabsorber.h archexc.h \
+ archparam.h templocator.h
+gondolageom.o: gondolageom.cc gondolageom.h polfitclip.h aa_hadec.h
 gpsparser.o: gpsparser.cc gpsparser.h archeops.h archeops_28.h
+gyrocalibrator.o: gyrocalibrator.cc gyrocalibrator.h toipullproducer.h \
+ toiderivproducer.h toiproducer.h toi.h ark.h archeops.h archeops_28.h \
+ arcunit.h toiabsorber.h archexc.h archparam.h
+gyrofftana.o: gyrofftana.cc archeopsfile.h ark.h archeops.h \
+ archeops_28.h arcunit.h archexc.h archtoi.h toiiter.h toiabsorber.h \
+ toi.h requesthandler.h archfileset.h ../cfitsio/fitsio.h \
+ ../cfitsio/longnam.h toisvr.h
 gyrohandler.o: gyrohandler.cc gyrohandler.h archeops.h archeops_28.h
-pisteetoile.o: pisteetoile.cc /usr/include/math.h \
- /usr/local/include/g++/iostream.h archparam.h pisteetoile.h \
- sstetoile.h transfelec.h formepulse.h
+pisteetoile.o: pisteetoile.cc archparam.h pisteetoile.h sstetoile.h \
+ transfelec.h formepulse.h
 plgalcross.o: plgalcross.cc plgalcross.h
+polfitclip.o: polfitclip.cc nrutil.h polfitclip.h
+rotspeed.o: rotspeed.cc rotspeed.h toipullproducer.h \
+ toiderivproducer.h toiproducer.h toi.h ark.h archeops.h archeops_28.h \
+ arcunit.h toiabsorber.h archexc.h archparam.h templocator.h
 sstetoile.o: sstetoile.cc sstetoile.h
 ssthandler.o: ssthandler.cc ssthandler.h archeops.h archeops_28.h \
  sstetoile.h pisteetoile.h transfelec.h formepulse.h
-templocator.o: templocator.cc templocator.h aa_hadec.h \
- ../cfitsio/fitsio.h ../cfitsio/longnam.h plgalcross.h
-test.o: test.cc archeopsfile.h archeops.h archeops_28.h ssthandler.h \
- sstetoile.h pisteetoile.h transfelec.h formepulse.h gpsparser.h \
- archtoi.h toisvr.h toiiter.h auxgps.h tsid.h ../cfitsio/fitsio.h \
- ../cfitsio/longnam.h
-toiinterpolator.o: toiinterpolator.cc toiinterpolator.h
-toiiter.o: toiiter.cc archeops.h archeops_28.h arcunit.h toiiter.h \
- archeopsfile.h ssthandler.h sstetoile.h pisteetoile.h transfelec.h \
- formepulse.h gpsparser.h auxgps.h tsid.h toiinterpolator.h \
- archparam.h templocator.h
-toisvr.o: toisvr.cc toisvr.h toiiter.h archeopsfile.h archeops.h \
- archeops_28.h ssthandler.h sstetoile.h pisteetoile.h transfelec.h \
- formepulse.h gpsparser.h auxgps.h tsid.h archparam.h asigps.h \
- auxinterpgps.h
+sststarfinder.o: sststarfinder.cc sststarfinder.h archeops.h \
+ archeops_28.h sstetoile.h pisteetoile.h transfelec.h formepulse.h \
+ toillsstproducer.h toiproducer.h toi.h ark.h toimanager.h archparam.h
+starmatcher.o: starmatcher.cc starmatcher.h sststarfinder.h archeops.h \
+ archeops_28.h sstetoile.h pisteetoile.h transfelec.h formepulse.h \
+ toillsstproducer.h toiproducer.h toi.h ark.h toiderivproducer.h \
+ toiabsorber.h toimanager.h archexc.h archparam.h gondolageom.h \
+ polfitclip.h aa_hadec.h nrutil.h
+templocator.o: templocator.cc templocator.h gondolageom.h polfitclip.h \
+ aa_hadec.h ../cfitsio/fitsio.h ../cfitsio/longnam.h plgalcross.h \
+ archparam.h
+test.o: test.cc archeopsfile.h ark.h archeops.h archeops_28.h \
+ arcunit.h archexc.h archtoi.h toiiter.h toiabsorber.h toi.h \
+ requesthandler.h archfileset.h ../cfitsio/fitsio.h \
+ ../cfitsio/longnam.h toisvr.h
+timetoiproducer.o: timetoiproducer.cc timetoiproducer.h toiproducer.h \
+ toi.h ark.h archeops.h archeops_28.h arcunit.h archparam.h archexc.h \
+ requesthandler.h
+toi.o: toi.cc toi.h tokenizer.h archexc.h
+toiabsorber.o: toiabsorber.cc toiabsorber.h toi.h ark.h archeops.h \
+ archeops_28.h arcunit.h
+toiauxgpsproducer.o: toiauxgpsproducer.cc toiauxgpsproducer.h \
+ toiproducer.h toi.h ark.h archeops.h archeops_28.h arcunit.h auxgps.h \
+ archparam.h archexc.h requesthandler.h
+toiboloproducer.o: toiboloproducer.cc toiboloproducer.h \
+ toiderivproducer.h toiproducer.h toi.h ark.h archeops.h archeops_28.h \
+ arcunit.h toiabsorber.h archexc.h requesthandler.h polfitclip.h
+toiderivproducer.o: toiderivproducer.cc toiderivproducer.h \
+ toiproducer.h toi.h ark.h archeops.h archeops_28.h arcunit.h \
+ toiabsorber.h toimanager.h archexc.h requesthandler.h subsets.h
+toiflagger.o: toiflagger.cc toiflagger.h toipullproducer.h \
+ toiderivproducer.h toiproducer.h toi.h ark.h archeops.h archeops_28.h \
+ arcunit.h toiabsorber.h toimanager.h archexc.h
+toiinterpolator.o: toiinterpolator.cc toiinterpolator.h \
+ toipullproducer.h toiderivproducer.h toiproducer.h toi.h ark.h \
+ archeops.h archeops_28.h arcunit.h toiabsorber.h toimanager.h \
+ archexc.h
+toiiter.o: toiiter.cc ark.h archeops.h archeops_28.h arcunit.h \
+ toiiter.h toiabsorber.h toi.h requesthandler.h archfileset.h \
+ archeopsfile.h archexc.h toimanager.h toiproducer.h archparam.h \
+ asigps.h auxinterpgps.h auxgps.h toiauxgpsproducer.h
+toillboloproducer.o: toillboloproducer.cc toillboloproducer.h \
+ toiproducer.h toi.h ark.h archeops.h archeops_28.h arcunit.h \
+ archfileset.h archeopsfile.h archexc.h toimanager.h requesthandler.h
+toilldiluproducer.o: toilldiluproducer.cc toilldiluproducer.h \
+ toiproducer.h toi.h ark.h archeops.h archeops_28.h arcunit.h \
+ archfileset.h archeopsfile.h archexc.h toimanager.h requesthandler.h
+toillgpsproducer.o: toillgpsproducer.cc toillgpsproducer.h \
+ toiproducer.h toi.h ark.h archeops.h archeops_28.h arcunit.h \
+ archfileset.h archeopsfile.h archexc.h toimanager.h requesthandler.h
+toillgyroproducer.o: toillgyroproducer.cc toillgyroproducer.h \
+ toiproducer.h toi.h ark.h archeops.h archeops_28.h arcunit.h \
+ archfileset.h archeopsfile.h archexc.h toimanager.h requesthandler.h
+toillreglageproducer.o: toillreglageproducer.cc toillreglageproducer.h \
+ toiproducer.h toi.h ark.h archeops.h archeops_28.h arcunit.h \
+ archfileset.h archeopsfile.h archexc.h toimanager.h requesthandler.h
+toillsstproducer.o: toillsstproducer.cc toillsstproducer.h \
+ toiproducer.h toi.h ark.h archeops.h archeops_28.h arcunit.h \
+ archfileset.h archeopsfile.h archexc.h toimanager.h requesthandler.h
+toimanager.o: toimanager.cc toimanager.h toi.h archexc.h toiproducer.h \
+ ark.h archeops.h archeops_28.h arcunit.h archeopsfile.h \
+ toillboloproducer.h toillreglageproducer.h toilldiluproducer.h \
+ toillgpsproducer.h toillgyroproducer.h toillsstproducer.h \
+ timetoiproducer.h toiinterpolator.h toipullproducer.h \
+ toiderivproducer.h toiabsorber.h toirepeater.h toiflagger.h \
+ toiboloproducer.h sststarfinder.h sstetoile.h pisteetoile.h \
+ transfelec.h formepulse.h tsidproducer.h galcrosslocator.h \
+ starmatcher.h rotspeed.h gyrocalibrator.h
+toiproducer.o: toiproducer.cc toiproducer.h toi.h ark.h archeops.h \
+ archeops_28.h arcunit.h toiabsorber.h toimanager.h archexc.h \
+ requesthandler.h
+toipullproducer.o: toipullproducer.cc toipullproducer.h \
+ toiderivproducer.h toiproducer.h toi.h ark.h archeops.h archeops_28.h \
+ arcunit.h toiabsorber.h
+toirepeater.o: toirepeater.cc toirepeater.h toipullproducer.h \
+ toiderivproducer.h toiproducer.h toi.h ark.h archeops.h archeops_28.h \
+ arcunit.h toiabsorber.h toimanager.h archexc.h
+toisvr.o: toisvr.cc toisvr.h toiiter.h toiabsorber.h toi.h ark.h \
+ archeops.h archeops_28.h arcunit.h requesthandler.h archfileset.h \
+ archeopsfile.h archexc.h archparam.h asigps.h auxinterpgps.h auxgps.h
+tokenizer.o: tokenizer.cc tokenizer.h
 transfelec.o: transfelec.cc transfelec.h
 tsid.o: tsid.cc tsid.h
+tsidproducer.o: tsidproducer.cc tsidproducer.h toipullproducer.h \
+ toiderivproducer.h toiproducer.h toi.h ark.h archeops.h archeops_28.h \
+ arcunit.h toiabsorber.h archexc.h requesthandler.h tsid.h archparam.h
Index: /trunk/Poubelle/archTOI.old/lfit.c
===================================================================
--- /trunk/Poubelle/archTOI.old/lfit.c	(revision 625)
+++ /trunk/Poubelle/archTOI.old/lfit.c	(revision 626)
@@ -11,5 +11,5 @@
 
 	beta=matrix(1,ma,1,1);
-	afunc=vector(1,ma);
+	afunc=dvector(1,ma);
 	for (j=1;j<=ma;j++)
 		if (ia[j]) mfit++;
Index: /trunk/Poubelle/archTOI.old/nrutil.c
===================================================================
--- /trunk/Poubelle/archTOI.old/nrutil.c	(revision 625)
+++ /trunk/Poubelle/archTOI.old/nrutil.c	(revision 626)
@@ -18,5 +18,5 @@
 }*/
 
-double *vector(long nl, long nh)
+double *dvector(long nl, long nh)
 /* allocate a double vector with subscript range v[nl..nh] */
 {
@@ -58,4 +58,5 @@
 }
 
+#if 0
 double *dvector(long nl, long nh)
 /* allocate a double vector with subscript range v[nl..nh] */
@@ -67,4 +68,5 @@
 	return v-nl+NR_END;
 }
+#endif
 
 double **matrix(long nrl, long nrh, long ncl, long nch)
Index: /trunk/Poubelle/archTOI.old/nrutil.h
===================================================================
--- /trunk/Poubelle/archTOI.old/nrutil.h	(revision 625)
+++ /trunk/Poubelle/archTOI.old/nrutil.h	(revision 626)
@@ -45,5 +45,5 @@
 
 void nrerror(char error_text[]);
-double *vector(long nl, long nh);
+double *dvector(long nl, long nh);
 int *ivector(long nl, long nh);
 unsigned char *cvector(long nl, long nh);
Index: /trunk/Poubelle/archTOI.old/starmatcher.cc
===================================================================
--- /trunk/Poubelle/archTOI.old/starmatcher.cc	(revision 625)
+++ /trunk/Poubelle/archTOI.old/starmatcher.cc	(revision 626)
@@ -362,10 +362,10 @@
   // we fit the data to a polynomial, with clipping...
   
-  //double* sn   =  ::vector(1, matchStars.size());
-  double* elv0 =  ::vector(1, matchStars.size());
-  double* azi  =  ::vector(1, matchStars.size());
-  double* sig  =  ::vector(1, matchStars.size());
-  //double* ae   =  ::vector(1, 3);
-  double* aa   =  ::vector(1, 3);
+  //double* sn   =  ::dvector(1, matchStars.size());
+  double* elv0 =  ::dvector(1, matchStars.size());
+  double* azi  =  ::dvector(1, matchStars.size());
+  double* sig  =  ::dvector(1, matchStars.size());
+  //double* ae   =  ::dvector(1, 3);
+  double* aa   =  ::dvector(1, 3);
   int*  ia    = ivector(1, 3);
   double** cov =  matrix(1, 3, 1, 3);
Index: /trunk/Poubelle/archTOI.old/toiproducer.cc
===================================================================
--- /trunk/Poubelle/archTOI.old/toiproducer.cc	(revision 625)
+++ /trunk/Poubelle/archTOI.old/toiproducer.cc	(revision 626)
@@ -3,4 +3,5 @@
 
 #include <iostream.h>
+#include <algorithm>
 
 #include "toiproducer.h"