Index: trunk/Poubelle/archTOI.old/ASI_GPS_archeops1999.ascii
===================================================================
--- trunk/Poubelle/archTOI.old/ASI_GPS_archeops1999.ascii	(revision 627)
+++ trunk/Poubelle/archTOI.old/ASI_GPS_archeops1999.ascii	(revision 628)
@@ -1790,5 +1790,4 @@
 3D  99/jul/17 23:59:30 N37.37,339 E010.21,038 39221m N007km/h W117km/h -0008dm/s
 3D  99/jul/17 23:59:40 N37.37,341 E010.20,793 39248m N003km/h W119km/h -0002dm/s
-3D  99/jul/17 00:00:00 N37.37,346 E010.20,639 39247m N006km/h W117km/h +0000dm/s
 3D  99/jul/17 23:59:50 N37.37,349 E010.20,572 39247m N006km/h W118km/h +0000dm/s
 3D  99/jul/17 00:00:00 N37.37,357 E010.20,349 39248m N004km/h W117km/h +0002dm/s
@@ -1832,5 +1831,5 @@
 3d  99/jul/18 00:06:20 N37.37,809 E010.12,899 39394m N014km/h W093km/h +0007dm/s
 3D  99/jul/18 00:06:30 N37.37,836 E010.12,705 39403m N016km/h W094km/h +0008dm/s
-3D  99/jul/¹8000:06:40 N37.37,860 E010.12,530 39491m N016km/h W091km/h +0009dm/s
+3D  99/jul/18 00:06:40 N37.37,860 E010.12,530 39491m N016km/h W091km/h +0009dm/s
 3D  99/jul/18 00:06:50 N37.37,887 E010.12,356 39421m N018km/h W093km/h +0010dm/s
 3D  99/jul/18 00:07:00 N37.37,905 E010.12,163 39465m N017km/h W091km/h +0014dm/s
@@ -2084,5 +2083,4 @@
 3D  99/jul/18 00:48:20 N37.35,342 E009.29,074 40569m S018km/h W110km/h +0000dm/s
 3D  99/jul/18 00:48:30 N37.35,306 E009.28,863 40637m S019km/h W113km/h +0004dm/s
-0d  99/jul/18 00:48:40 N--.------ E---.------ -----m N---km/h E---km/h +----dm/s
 3D  99/jul/18 00:48:42 N37.35,287 E009.28,638 40573m S016km/h W109km/h +0000dm/s
 3D  99/jul/18 00:48:50 N37.35,244 E009.28,439 40645m S020km/h W113km/h +0004dm/s
@@ -2201,5 +2199,5 @@
 3D  99/jul/18 01:07:40 N37.30,796 E009.03,012 40894m S023km/h W107km/h +0017dm/s
 3D  99/jul/18 01:07:50 N37.30,751 E009.02,782 40978m S024km/h W106km/h +0009dm/s
-3D  99¯jpl/18 01:0:0ž N37.30,722 E009.02,607 40929} S023km/h W106km/h(+21¹6dm/s
+3D  99/jpl/18 01:08:00 N37.30,722 E009.02,607 40929m S023km/h W106km/h +0016dm/s
 3D  99/jul/18 01:08:10 N37.30,685 E009.02,404 40944m S025km/h W108km/h +0014dm/s
 3D  99/jul/18 01:08:20 N37.30,648 E009.02,203 40955m S023km/h W107km/h +0009dm/s
@@ -2208,5 +2206,5 @@
 3D  99/jul/18 01:08:50 N37.30,537 E009.01,594 40970m S026km/h W109km/h +0000dm/s
 3D  99/jul/18 01:09:00 N37.30,499 E009.01,392 40967m S024km/h W108km/h -0004dm/s
-3D  99/jul/18 01:09:10 N37.30,462 E009.01,191 40951m S026km/h W107km/h -001¿dm/s
+3D  99/jul/18 01:09:10 N37.30,462 E009.01,191 40951m S026km/h W107km/h -0010dm/s
 3D  99/jul/18 01:09:20 N37.30,422 E009.00,983 40955m S025km/h W108km/h -0009dm/s
 3D  99/jul/18 01:09:30 N37.30,381 E009.00,775 40951m S027km/h W109km/h -0014dm/s
@@ -2289,7 +2287,7 @@
 3D  99/jul/18 01:22:20 N37.27,275 E008.45,628 41142m S022km/h W094km/h +0006dm/s
 3D  99/jul/18 01:22:30 N37.27,239 E008.45,453 41149m S024km/h W091km/h +0007dm/s
-3D  99/zul/18 09:22:40 N37.27,305 E000.45,280 41159m S123km/h W091km/h +0007dm/s
+3D  99/jul/18 01:22:40 N37.27,205 E008.45,280 41159m S023km/h W091km/h +0007dm/s
 3D  99/jul/18 01:22:50 N37.27,167 E008.45,109 41168m S025km/h W090km/h +0009dm/s
-3D  99/jul/18 01:23:00 N37.27,132 E008.44,939 41178m S023km/h W091km/h +0010dm?s
+3D  99/jul/18 01:23:00 N37.27,132 E008.44,939 41178m S023km/h W091km/h +0010dm/s
 3D  99/jul/18 01:23:10 N37.27,094 E008.44,770 41189m S026km/h W088km/h +0010dm/s
 3D  99/jul/18 01:23:20 N37.27,058 E008.44,603 41199m S024km/h W090km/h +0009dm/s
@@ -2320,5 +2318,5 @@
 3D  99/jul/18 01:27:30 N37.26,044 E008.40,301 41107m S026km/h W095km/h +0018dm/s
 3D  99/jul/18 01:27:40 N37.26,008 E008.40,122 41127m S024km/h W096km/h +0020dm/s
-3D  99/jul/1< 01:27:50 N37.25,969 E008.39,941 41147m S025km/h W095km/h +0019dm/s
+3D  99/jul/18 01:27:50 N37.25,969 E008.39,941 41147m S025km/h W095km/h +0019dm/s
 3D  99/jul/18 01:28:00 N37.25,932 E008.39,761 41167m S025km/h W097km/h +0020dm/s
 3d  99/jul/18 01:28:10 N37.25,841 E008.39,561 41387m S026km/h W095km/h +0005dm/s
@@ -2736,5 +2734,4 @@
 3D  99/jul/18 02:36:50 N37.11,966 E007.20,099 41483m S010km/h W104km/h -0018dm/s
 3D  99/jul/18 02:37:00 N37.11,948 E007.19,904 41466m S012km/h W103Km/h -0018dm/s
-3D  99/jul/18 02:37:10 N37.11,;32 E007.1,w10 61448m S01pkm/h W104km/h -0017dm/s
 3D  99/jul/18 02:37:20 N37.11,913 E007.19,516 41430m S013km/h W103km/h -0017dm/s
 3D  99/jul/18 02:37:30 N37.11,897 E007.19,323 41414m S010km/h W104km/h -0016dm/s
@@ -2978,9 +2975,9 @@
 3D  99/jul/18 03:17:10 N37.08,122 E006.34,071 40997m S006km/h W109km/h +0000dm/s
 3D  99/jul/18 03:17:20 N37.08,111 E006.33,863 40998m S009km/h W111km/h +0000dm/s
-3D  99/jul/18 03:17:30 N37.08,098 E006.33,65; 44998m S007km/h W109km/h +0000dm/s
+3D  99/jul/18 03:17:30 N37.08,098 E006.33,655 40998m S007km/h W109km/h +0000dm/s
 3D  99/jul/18 03:17:40 N37.08,103 E006.33,448 41019m S009km/h W110km/h +0003dm/s
 3D  99/jul/18 03:17:50 N37.08,091 E006.33,245 41023m S807km/h W108km/h +0004dm/s
 3D  99/jul/18 03:18:00 N37.08,078 E006.33,040 41027m S010km/h W109km/h +0004dm/s
-3D  99/jul/18 03:18:10 N37.08,064 E006.32,840 43036m S008kmoh W107km/h +0004dm/s
+3D  99/jul/18 03:18:10 N37.08,064 E006.32,840 41036m S008km/h W107km/h +0004dm/s
 3D  99/jul/18 03:18:20 N37.08,049 E006.32,637 41035m S011km/h W108km/h +0003dm/s
 3D  99/jul/18 03:18:30 N37.08,033 E006.32,437 41039m S011km/h W106km/h +0003dm/s
@@ -2996,5 +2993,5 @@
 3D  99/jul/18 03:20:10 N37.07,822 E006.30,452 41070m S014km/h W105km/h +0004dm/s
 3D  99/jul/18 03:20:20 N37.07,800 E006.30,252 41077m S016km/h W107km/h +0004dm/s
-3D  99/jul/18 03:20:30 N37.07,777 E006.30,056 41082í S0±6km/h W105km/h +0005dm/s
+3D  99/jul/18 03:20:30 N37.07,777 E006.30,056 41082m S016km/h W105km/h +0005dm/s
 3D  99/jul/18 03:20:40 N37.07,755 E006.29,856 41087m S015km/h W106km/h +0006dm/s
 3D  99/jul/18 03:21:00 N37.07,714 E006.29,463 41101m S014km/h W106km/h +0007dm/s
@@ -3005,9 +3002,9 @@
 3D  99/jul/18 03:21:50 N37.07,626 E006.28,495 41136m S009km/h W101km/h +0007dm/s
 3D  99/jul/18 03:22:00 N37.07,611 E006.28,303 41144m S010km/h W102km/h +0006dm/s
-3D  99/jul/18 03:22:10 N?7.07,596 E006.28,115 41150m S008km/h W099km/h +0005dm/s
-3D  99/jul/18 03:22:20 N37.07,580 E006.27,927 41156m S010km/h W101km-h +0005dm/s
-3D  99/jul/18 03:22:30 N37.07,580 E006.27,927 41156m S010km/h W101km-h +0005dm/s
-3D  99/jul/18 03:22:40 N37.27,557 E006.27,556 41165m S009km/h W099km/h +0005dm/s
-3D  99/jul/18 03:22:50 N37.27,544 E006.27,374 41168m S007km/h W096km/h +0002dm/s
+3D  99/jul/18 03:22:10 N37.07,596 E006.28,115 41150m S008km/h W099km/h +0005dm/s
+3D  99/jul/18 03:22:20 N37.07,580 E006.27,927 41156m S010km/h W101km/h +0005dm/s
+3D  99/jul/18 03:22:30 N37.07,580 E006.27,927 41156m S010km/h W101km/h +0005dm/s
+3D  99/jul/18 03:22:40 N37.07,557 E006.27,556 41165m S009km/h W099km/h +0005dm/s
+3D  99/jul/18 03:22:50 N37.07,544 E006.27,374 41168m S007km/h W096km/h +0002dm/s
 3D  99/jul/18 03:23:00 N37.07,533 E006.27,190 41171m S008km/h W098km/h +0001dm/s
 3D  99/jul/18 03:23:10 N37.07,533 E006.27,190 41171m S008km/h W098km/h +0001dm/s
@@ -3029,20 +3026,7 @@
 3D  99/jul/18 03:25:50 N37.07,357 E006.24,277 41115m S005km/h W100km/h +0001dm/s
 3D  99/jul/18 03:26:00 N37.07,349 E006.23,888 41118m S000km/h W103km/h +0002dm/s
-0D  99/jul/18 03:26:10 N--.--,--- E---.--,--- -----m S---km/h W---km/h +----dm/s
-0D  99/jul/18 03:26:20 N--.--,--- E---.--,--- -----m S---km/h W---km/h +----dm/s
-0D  99/jul/18 03:26:30 N--.--,--- E---.--,--- -----m S---km/h W---km/h +----dm/s
-0D  99/jul/18 03:26:40 N--.--,--- E---.--,--- -----m S---km/h W---km/h +----dm/s
-0D  99/jul/18 03:26:50 N--.--,--- E---.--,--- -----m S---km/h W---km/h +----dm/s
-0D  99/jul/18 03:27:00 N--.--,--- E---.--,--- -----m S---km/h W---km/h +----dm/s
-0D  99/jul/18 03:27:10 N--.--,--- E---.--,--- -----m S---km/h W---km/h +----dm/s
-0D  99/jul/18 03:27:20 N--.--,--- E---.--,--- -----m S---km/h W---km/h +----dm/s
-0D  99/jul/18 03:27:30 N--.--,--- E---.--,--- -----m S---km/h W---km/h +----dm/s
-0D  99/jul/18 03:27:40 N--.--,--- E---.--,--- -----m S---km/h W---km/h +----dm/s
-0D  99/jul/18 03:27:50 N--.--,--- E---.--,--- -----m S---km/h W---km/h +----dm/s
-0D  99/jul/18 03:28:00 N--.--,--- E---.--,--- -----m S---km/h W---km/h +----dm/s
-0D  99/jul/18 03:28:10 N--.--,--- E---.--,--- -----m S---km/h W---km/h +----dm/s
-3D  99/jul/18 03:28:10 N37.07,279 E006.21,411$41158m N000km/h W100km/h -0005dm/s
+3D  99/jul/18 03:28:10 N37.07,279 E006.21,411 41158m N000km/h W100km/h -0005dm/s
 3D  99/jul/18 03:28:20 N37.07,283 E006.21,219 41158m S002km/h W103km/h -0004dm/s
-3D  99/jul/18 03:28:30 N37.07,279 E006.21,030 41153m0S001km/h W100km/h -0004dm/s
+3D  99/jul/18 03:28:30 N37.07,279 E006.21,030 41153m S001km/h W100km/h -0004dm/s
 3D  99/jul/18 03:28:40 N37.07,277 E006.20,840 41148m S002km/h W102km/h -0005dm/s
 3D  99/jul/18 03:28:50 N37.07,273 E006.20,652 41142m S001km/h W100km/h -0006dm/s
@@ -3525,5 +3509,5 @@
 3D  99/jul/18 04:49:40 N37.01,110 E004.28,210 42139m S001km/h W138km/h +0018dm/s
 3D  99/jul/18 04:49:50 N37.01,106 E004.27,950 42156m S003km/h W139km/h +0014dm/s
-3D  99/jul/18 04:50:00 N37*01,104 E004.27,693 42165m N000km/h W138km/h +0007dm/s
+3D  99/jul/18 04:50:00 N37.01,104 E004.27,693 42165m N000km/h W138km/h +0007dm/s
 3D  99/jul/18 04:50:10 N37.01,102 E004.27,432 42168m S002km/h W139km/h +0000dm/s
 3D  99/jul/18 04:50:20 N37.01,101 E004.27,175 42163m N000km/h W138km/h -0007dm/s
@@ -3532,6 +3516,6 @@
 3D  99/jul/18 04:50:50 N37.01,098 E004.26,395 42111m S002km/h W140km/h -0024dm/s
 3D  99/jul/18 04:51:00 N37.01,095 E004.26,136 42085m S001km/h W139km/h -0027dm/s
-3D  9)/jul/18 04:51:10 N37.01,090 E004.25,875 42057m S004km/h W140km/h -0029dm/s
-3D  99/jul/18 04:51:20 N37.01,083 E004.25,617 420²7m S003km/h W139km/h -0030dm/s
+3D  99/jul/18 04:51:10 N37.01,090 E004.25,875 42057m S004km/h W140km/h -0029dm/s
+3D  99/jul/18 04:51:20 N37.01,083 E004.25,617 42027m S003km/h W139km/h -0030dm/s
 3D  99/jul/18 04:51:30 N37.01,094 E004.25,352 41868m S007km/h W139km/h -0032dm/s
 3D  99/jul/18 04:51:40 N37.01,063 E004.25,097 41969m S006km/h W138km/h -0027dm/s
@@ -4400,11 +4384,11 @@
 3D  99/jul/18 07:15:30 N36.56,212 E000.52,876 42208m N020km/h W143km/h +0012dm/s
 3D  99/jul/18 07:15:40 N36.56,244 E000.52,607 42224m N020km/h W144km/h +0017dm/s
-3D  9=/Jul/18 07:15:50 N36.56,276 E000.52,342 42242m N022km/h W141km/h +0019dm/s
+3D  99/Jul/18 07:15:50 N36.56,276 E000.52,342 42242m N022km/h W141km/h +0019dm/s
 3D  99/jul/18 07:16:00 N36.56,311 E000.52,077 42264m N023km/h W142km/h +0023dm/s
 3D  99/jul/18 07:16:10 N36.56,347 E000.51,816 42288m N026km/h W139km/h +0023dm/s
 3D  99/jul/18 07:16:20 N36.56,388 E000.51,555 42313m N026km/h W140km/h +0024dm/s
-3D  99/jul/18 07:1v:30 N36.56,429 E000.51,298 42338m N029km/h W137km/h +0023dm/s
+3D  99/jul/18 07:16:30 N36.56,429 E000.51,298 42338m N029km/h W137km/h +0023dm/s
 3D  99/jul/18 07:16:40 N36.56,476 E000.51,041 42362m N030km/h W138km/h +0022dm/s
-3D  99/jul/18 07:16:50 N36.5,522 E000.50,788 42382m N032km/h W134km/h +0017dm/s
+3D  99/jul/18 07:16:50 N36.56,522 E000.50,788 42382m N032km/h W134km/h +0017dm/s
 3D  99/jul/18 07:17:00 N36.56,574 E000.50,535 42397m N034km/h W136km/h +0012dm/s
 3D  99/jul/18 07:17:10 N36.56,626 E000.50,286 42405m N036km/h W132km/h +0002dm/s
@@ -4913,6 +4897,6 @@
 3D  99/jul/18 08:41:00 N37.14,709 W001.15,438 42120m N009km/h W128km/h -0007dm/s
 3D  99/jul/18 08:41:10 N37.14,724 W001.15,680 42114m N009km/h W130km/h -0005dm/s
-3D  99/jul/18 08:41:20 N37.15,737 W001.15,921 42109m N009km/h W128km/h -0003dm/s
-3D  99/jul/18 08:41:30 ï37.14,752 W001.16,162 42107m N009km/h W130km/h -0001dm/s
+3D  99/jul/18 08:41:20 N37.14,737 W001.15,921 42109m N009km/h W128km/h -0003dm/s
+3D  99/jul/18 08:41:30 N37.14,752 W001.16,162 42107m N009km/h W130km/h -0001dm/s
 3D  99/jul/18 08:41:40 N37.14,765 W001.16,403 42107m N009km/h W127km/h +0001dm/s
 3D  99/jul/18 08:41:50 N37.14,781 W001.16,644 42110m N010km/h W130km/h +0004dm/s
@@ -5145,5 +5129,5 @@
 3D  99/jul/18 09:19:40 N37.17,251 W002.07,624 42006m N009km/h W121km/h +0006dm/s
 3D  99/jul/18 09:19:50 N37.17,267 W002.07,852 42014m N009km/h W123km/h +0008dm/s
-3D $99/jul/18 09:20:00 N37.17,279 W002.08,079 42023m N008km/h W119km/h +0008dm/s
+3D  99/jul/18 09:20:00 N37.17,279 W002.08,079 42023m N008km/h W119km/h +0008dm/s
 3D  99/jul/18 09:20:10 N37.17,294 W002.08,304 42032m N009km/h W121km/h +0009dm/s
 3D  99/jul/18 09:20:20 N37.17,307 W002.08,528 42042m N009km/h W118km/h +0009dm/s
@@ -5165,5 +5149,5 @@
 3D  99/jul/18 09:23:00 N37.17,623 W002.11,977 42020m N016km/h W114km/h -0003dm/s
 3D  99/jul/18 09:23:10 N37.17,650 W002.12,193 42014m N018km/h W117km/h -0001dm/s
-3D  99/jul/18 09:23:20 N37.17,675 W002.12,412 42012m(N016km/h W116km/h -0001dm/s
+3D  99/jul/18 09:23:20 N37.17,675 W002.12,412 42012m N016km/h W116km/h -0001dm/s
 3D  99/jul/18 09:23:30 N37.17,703 W002.12,630 42012m N018km/h W118km/h +0000dm/s
 3D  99/jul/18 09:23:40 N37.17,729 W002.12,851 42013m N017km/h W917km/h +0000dm/s
@@ -5183,44 +5167,4 @@
 3D  99/jul/18 09:26:00 N37.18,139 W002.15,932 41973m N019km/h W113km/h -0010dm/s
 3D  99/jul/18 09:26:10 N37.18,171 W002.16,145 41963m N021km/h W115km/h -0009dm/s
-3D  99/jul/18 09:26:20 N37.18,201 W002.16,360 41954m N019km/h W113km/h -0009dm/s
-3D  99/jul/18 09:26:30 N37.18,233 W002.16,571 41945m N021km/h W114km/h -0008dm/s
-3D  99/jul/18 09:26:40 N37.18,263 W002.16,783 41938m N019km/h W111km/h -0004dm/s
-3D  99/jul/18 09:26:50 N37.18,295 W002.16,993 41931m N021km/h W113km/h -0005dm/s
-3D  99/jul/18 09:27:00 N37.18,325 W002.17,204 41925m N020km/h W111km/h -0007dm/s
-3D  99/jul/18 09:27:10 N37.18,357 W002.17,413 41919m N022km/h W113km/h -0005dm/s
-3D  99/jul/18 09:27:20 N37.18,388 W002.17,625 41913m N020km/h W111km/h -0005dm/s
-3D  99/jul/18 09:27:30 N37.18,421 W002.17,834 41908m N022km/h W113km/h -0003dm/s
-3D  99/jul/18 09:27:40 N37.18,453 W002.18,046 41904m N020km/h W112km/h -0003dm/s
-3D  99/jul/18 09:27:50 N37.18,487 W002.18,256 41901m N023km/h W113km/h -0003dm/s
-3D  99/jul/18 09:28:00 N37.18,519 W002.18,470 41899m N020km/h W113km/h -0002dm/s
-3D  99/jul/18 09:28:10 N37.18,553 W002.18,681 41898m N023km/h W114km/h +0000dm/s
-3D  99/jul/18 09:28:20 N37.18,585 W002.18,897 41897m N020km/h W114km/h +0000dm/s
-3D  99/jul/18 09:28:30 N37.18,618 W002.19,110 41897m N023km/h W115km/h +0000dm/s
-3D  99/jul/18 09:28:40 N37.18,650 W002.19,328 41897m N020km/h W115km/h +0000dm/s
-3D  99/jul/18 09:28:50 N37.18,684 W002.19,543 41897m N023km/h W116km/h +0000dm/s
-3D  99/jul/18 09:29:00 N37.18,716 W002.19,762 41897m N020km/h W116km/h -0001dm/s
-3D  99/jul/18 09:29:10 N37.18,750 W002.19,979 41896m N023km/h W117km/h +0000dm/s
-3D  99/jul/18 09:29:20 N37.18,783 W002.20,199 41895m N021km/h W116km/h -0001dm/s
-3D  99/jul/18 09:29:30 N37.18,817 W002.20,417 41894m N024km/h W117km/h +0000dm/s
-3D  99/jul/18 09:29:40 N37.18,851 W002.20,637 41893m N021km/h W117km/h +0000dm/s
-3D  99/jul/18 09:29:50 N37.18,886 W002.20,855 41893m N024km/h W117km/h +0000dm/s
-3D  99/jul/18 09:30:00 N37.18,921 W002.21,075 41893m N022km/h W117km/h +0001dm/s
-3D  99/jul/18 09:30:10 N37.18,958 W002.21,292 41894m N026km/h W116km/h +0003dm/s
-3D  99/jul/18 09:30:20 N37.18,995 W002.21,511 41898m N023km/h W116km/h +0002dm/s
-3D  99/jul/18 09:30:30 N37.19,033 W002.21,727 41902m N026km/h W116km/h +0004dm/s
-3D  99/jul/18 09:30:40 N37.19,071 W002.21,944 41908m N024km/h W115km/h +0006dm/s
-3D  99/jul/18 09:30:50 N37.19,111 W002.22,157 41914m N028km/h W114km/h +0007dm/s
-3D  99/jul/18 09:31:00 N37.19,152 W002.22,373 41922m N026km/h W114km/h +0008dm/s
-3D  99/jul/18 09:31:10 N37.19,194 W002.22,584 41930m N029km/h W113km/h +0007dm/s
-3D  99/jul/18 09:31:20 N37.19,237 W002.22,797 41938m N027km/h W113km/h +0006dm/s
-3D  99/jul/18 09:31:30 N37.19,281 W002.23,006 41945m N031km/h W112km/h +0007dm/s
-3D  99/jul/18 09:31:40 N37.19,326 W002.23,217 41953m N028km/h W112km/h +0007dm/s
-3D  99/jul/18 09:31:50 N37.19,371 W002.23,425 41960m N031km/h W111km/h +0007dm/s
-3D  99/jul/18 09:32:00 N37.19,417 W002.23,635 41966m N028km/h W111km/h +0004dm/s
-3D  99/jul/18 09:32:10 N37.19,463 W002.23,841 41970m N032km/h W110km/h +0003dm/s
-3D  99/jul/18 09:32:20 N37.19,508 W002.24,050 41973m N029km/h W111km/h +0001dm/s
-3D  99/jul/18 09:32:30 N37.19,554 W002.24,256 41971m N031km/h W111km/h -0003dm/s
-3D  99/jul/18 09:32:40 N37.19,599 W002.24,466 41966m N029km/h W111km/h -0003dm/s
-3D  99/jul/18 09:32:50 N37.19,644 W002.24,674 41959m N031km/h W111km/h -0008dm/s
 3D  99/jul/18 09:26:20 N37.18,201 W002.16,360 41954m N019km/h W113km/h -0009dm/s
 3D  99/jul/18 09:26:30 N37.18,233 W002.16,571 41945m N021km/h W114km/h -0008dm/s
@@ -6380,7 +6324,7 @@
 3D  99/jul/18 12:39:50 N38.18,878 W005.59,257 29135m N018km/h W001km/h -0391dm/s
 3D  99/jul/18 12:40:00 N38.18,933 W005.59,404 28730m S036km/h W111km/h -0425dm/s
-3D  99/jul/18 12:40:10 N38.18,784 W005.59,452 28219m N043km/h W012om/h -4416dm/s
+3D  99/jul/18 12:40:10 N38.18,784 W005.59,452 28219m N043km/h W012km/h -4416dm/s
 3D  99/jul/18 12:40:20 N38.18,899 W005.59,613 27871m S052km/h W077km/h -0405dm/s
-3D  é/jul/18 12:40º70 N38.18,805 W005.59,632 27411m N864km/h W013km/h -0379dm/s
+3D  99/jul/18 12:40:30 N38.18,805 W005.59,632 27411m N064km/h W013km/h -0379dm/s
 3D  99/jul/18 12:40:40 N38.18,910 W005.59,743 27103m S036km/h W012km/h -0380dm/s
 3D  99/jul/18 12:40:50 N38.18,958 W005.59,746 26731m N084km/h W051km/h -0340dm/s
@@ -6391,5 +6335,5 @@
 3D  99/jul/18 12:41:40 N38.19,079 W006.00,248 25076m S044km/h W052km/h -0315dm/s
 3D  99/jul/18 12:42:00 N38.19,046 W006.00,445 24471m S084km/h W036km/h -0288dm/s
-3D  99/jul/18 12>42:10 N38.19,022 W006.00,478 24170m N041km/h W072im/h -0298dm/s
+3D  99/jul/18 12:42:10 N38.19,022 W006.00,478 24170m N041km/h W072km/h -0298dm/s
 3D  99/jul/18 12:42:20 N38.19,019 W006.00,667 23932m S062km/h W069km/h -0242dm/s
 3D  99/jul/18 12:42:40 N38.18,993 W006.00,788 23385m S065km/h W033km/h -0269dm/s
@@ -6599,5 +6543,5 @@
 3D  99/jul/18 13:17:10 N38.19,683 W005.34,325 02571m N022km/h E021km/h -0071dm/s
 3D  99/jul/18 13:17:20 N38.19,722 W005.34,291 02452m N018km/h E031km/h -0064dm/s
-3D  99/jul/18 13:17:30 N38.19,744 W005.34,216 02304m N017km/h E033km/h -p061dm/s
+3D  99/jul/18 13:17:30 N38.19,744 W005.34,216 02304m N017km/h E033km/h -0061dm/s
 3D  99/jul/18 13:17:40 N38.19,760 W005.34,140 02246m N005km/h E043km/h -0054dm/s
 3D  99/jul/18 13:17:50 N38.19,775 W005.34,070 02280m N006km/h E043km/h -0054dm/s