Index: trunk/Poubelle/archediab.old/archediab.sources/h/acqui.h
===================================================================
--- trunk/Poubelle/archediab.old/archediab.sources/h/acqui.h	(revision 637)
+++ trunk/Poubelle/archediab.old/archediab.sources/h/acqui.h	(revision 639)
@@ -30,5 +30,5 @@
 void exec_acquisition(int fen,int item,double valeur,...);   //  prototype de la fonction
 
-// liste des items de la fenetre (44) items 
+// liste des items de la fenetre (46) items 
 
 #define  e_nb_mes                2     //   controle 
@@ -51,5 +51,5 @@
 #define  e_sauve                 32     //   controle 
 #define  e_vanne                 33     //   controle 
-#define  e_chauf                 34     //   controle 
+#define  e_helium                34     //   controle 
 #define  e_bolo_couleur          35     //   controle 
 #define  e_bolo_couleur36        36     //   controle 
@@ -62,4 +62,6 @@
 #define  e_bolo_couleur43        43     //   controle 
 #define  e_bolo_couleur44        44     //   controle 
+#define  e_chauf                 45     //   controle 
+#define  e_cmd                   46     //   controle 
 
 //fin_id
Index: trunk/Poubelle/archediab.old/archediab.sources/h/diabolo.h
===================================================================
--- trunk/Poubelle/archediab.old/archediab.sources/h/diabolo.h	(revision 637)
+++ trunk/Poubelle/archediab.old/archediab.sources/h/diabolo.h	(revision 639)
@@ -57,4 +57,5 @@
 
 extern   param_bolo	parametr;		// liste bolo dans le programme principal
+extern   reglage_bolo	reglage_standard[8];		// liste bolo dans le programme principal
 
 
Index: trunk/Poubelle/archediab.old/archediab.sources/h/dilution.h
===================================================================
--- trunk/Poubelle/archediab.old/archediab.sources/h/dilution.h	(revision 637)
+++ trunk/Poubelle/archediab.old/archediab.sources/h/dilution.h	(revision 639)
@@ -9,5 +9,5 @@
 void exec_dilution(int fen,int item,double valeur,...);   //  prototype de la fonction
 
-// liste des items de la fenetre (64) items 
+// liste des items de la fenetre (69) items 
 
 #define  dil_switch_helium         2     //   controle 
@@ -30,5 +30,5 @@
 #define  dil_EVV_retour            22     //   controle 
 #define  dil_d_3He                 23     //   controle 
-#define  dil_d_4He                 24     //   controle 
+#define  dil_envoi_dac             24     //   controle 
 #define  dil_RP_He                 25     //   controle 
 #define  dil_p_d_3He               26     //   static texte 
@@ -63,12 +63,16 @@
 #define  dil_t_b3                  55     //   controle 
 #define  dil_t_b4                  56     //   controle 
-#define  dil_ch1                57     //   controle 
-#define  dil_ch2                58     //   controle 
-#define  dil_ch3                59     //   controle 
-#define  dil_ch4                60     //   controle 
-#define  dil_ch5                61     //   controle 
-#define  dil_ch6                62     //   controle 
-#define  dil_ch7                63     //   controle 
-#define  dil_extra              64     //   controle 
+#define  dil_ch1                   57     //   controle 
+#define  dil_ch2                   58     //   controle 
+#define  dil_ch3                   59     //   controle 
+#define  dil_ch4                   60     //   controle 
+#define  dil_ch5                   61     //   controle 
+#define  dil_ch6                   62     //   controle 
+#define  dil_ch7                   63     //   controle 
+#define  dil_sw_extra              64     //   controle 
+#define  dil_temp                  66     //   static texte 
+#define  dil_trace_tempe           67     //   controle 
+#define  dil_dac_1                 68     //   controle 
+#define  dil_dac_2                 69     //   controle 
 
 //fin_id
Index: trunk/Poubelle/archediab.old/archediab.sources/h/fenetres_diabolo.h
===================================================================
--- trunk/Poubelle/archediab.old/archediab.sources/h/fenetres_diabolo.h	(revision 637)
+++ trunk/Poubelle/archediab.old/archediab.sources/h/fenetres_diabolo.h	(revision 639)
@@ -54,4 +54,5 @@
 #define fenetre_param_reglage				142
 #define fenetre_fichier_archeops_c			143
+#define fenetre_temperature_dil				144
 
 
Index: trunk/Poubelle/archediab.old/archediab.sources/h/senseur_stellaire.h
===================================================================
--- trunk/Poubelle/archediab.old/archediab.sources/h/senseur_stellaire.h	(revision 637)
+++ trunk/Poubelle/archediab.old/archediab.sources/h/senseur_stellaire.h	(revision 639)
@@ -9,8 +9,9 @@
 void exec_senseur_stellaire(int fen,int item,double valeur,...);   //  prototype de la fonction
 
-// liste des items de la fenetre (3) items 
+// liste des items de la fenetre (4) items 
 
 #define  sst_azer                  1     //   edit texte 
 #define  sst_sortie_brute          3     //   controle 
+#define  sst_prem_diode            4     //   controle 
 
 //fin_id
Index: trunk/Poubelle/archediab.old/archediab.sources/h/synchro.h
===================================================================
--- trunk/Poubelle/archediab.old/archediab.sources/h/synchro.h	(revision 637)
+++ trunk/Poubelle/archediab.old/archediab.sources/h/synchro.h	(revision 639)
@@ -32,7 +32,7 @@
 void exec_trace_DS(int fen,int item,double valeur,...);   //  prototype de la fonction
 
-// liste des items de la fenetre (12) items 
+// liste des items de la fenetre (31) items 
 
-#define  ds_filtre                3     //   edit texte 
+#define  ds_moyenne               3     //   edit texte 
 #define  ds_raz                   4     //   bouton 
 #define  ds_periode               5     //   static texte 
@@ -42,4 +42,13 @@
 #define  ds_raz_parasite          11     //   controle 
 #define  ds_enregistre            12     //   controle 
+#define  ds_retour                13     //   controle 
+#define  ds_bolo_couleur          24     //   controle 
+#define  ds_bolo_couleur25        25     //   controle 
+#define  ds_bolo_couleur26        26     //   controle 
+#define  ds_bolo_couleur27        27     //   controle 
+#define  ds_bolo_couleur28        28     //   controle 
+#define  ds_bolo_couleur29        29     //   controle 
+#define  ds_bolo_couleur30        30     //   controle 
+#define  ds_bolo_couleur31        31     //   controle 
 
 //fin_id