Index: trunk/Poubelle/archediab.old/archeops.c
===================================================================
--- trunk/Poubelle/archediab.old/archeops.c	(revision 639)
+++ trunk/Poubelle/archediab.old/archeops.c	(revision 643)
@@ -44,36 +44,71 @@
 /*----------------------------------  fenetre :  -----------------------------------*/
 
-param_bolo  parametr={25,24,36,88,18,
+param_bolo  parametr={26,24,36,88,18,
 
 { 
-{ "v1-bedif1"  , 1,10,1 ,  200, 22000	,  200,  { 5000  , 123100 , 334200,0,0,0,0} },		
-{ "v1-bedif2"  , 1,10,2 ,  200, 22000	,  200,  {  500  , 136180 ,   9010,0,0,0,0} },
-{ "v1-bedif3"  , 1,10,3 ,  200, 22000	,  200,  {  500  , 136180 ,   9010,0,0,0,0} },
-{ "v1-bedif4"  , 1,10,4 ,  200, 22000	,  200,  { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif5"  , 1,10,5 , 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif6"  , 1,10,6 , 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
-
-{ "v1-bedif7"  , 1,10,9 , 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif8"  , 1,10,10, 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif9"  , 1,10,11, 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif10" , 1,10,12, 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif11" , 1,10,13, 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif12" , 1,10,14, 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
-
-{ "v1-bedif13"	, 1,10,17, 1000, 100000	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif14"	, 1,10,18, 1000, 470000	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
-{ "bedif15"  	, 1,10,19, 1000, 470000	, 1000,  {  500  ,  58800 ,  12500,0,0,0,0} },
-{ "bedif16"	, 1,10,20, 1000,2200000	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
-{ "bedif17"	, 1,10,21, 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
-{ "bedif18"	, 1,10,22, 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
-
-{ "v1-bedif19"	, 2,10,25, 1000, 4700  	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif20"	, 2,10,26, 1000, 4700  	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
-{ "germanium"	, 3,10,27, 1000, 22000	,    0,  { 3500  ,  17100 , 646500,0,0,0,0} },
-{ "therm_4k"	, 3,10,28, 1000, 1000	,    0,  {12000  ,1804000 ,  72800,0,0,0,0} },
-{ "therm_1.6k"	, 3,10,29, 1000, 1000	,    0,  {12000  ,1804000 ,  72800,0,0,0,0} },
-{ "therm_10k"	, 3,10,30, 1000, 1000	,    0,  {12000  ,1804000 ,  72800,0,0,0,0} },
+{ 1  , 0,10,1 ,  200, 22000	,  200 },		
+{ 2  , 1,10,2 ,  200, 22000	,  200 },
+{ 3  , 1,10,3 ,  200, 22000	,  200 },
+{ 4  , 0,10,4 ,  200, 22000	,  200 },
+
+{ 5  , 1,10,5 , 1000, 4700	, 1000 },
+{ 6  , 0,10,6 , 1000, 4700	, 1000 },
+{ 7  , 1,10,9 , 1000, 4700	, 1000 },
+{ 8  , 0,10,10, 1000, 4700	, 1000 },
+
+{ 9  , 1,10,11, 1000, 4700	, 1000 },
+{ 10 , 1,10,12, 1000, 4700	, 1000 },
+{ 11 , 1,10,13, 1000, 4700	, 1000 },
+{ 12 , 1,10,14, 1000, 4700	, 1000 },
+
+{ 13	, 1,10,17, 1000, 4700	, 1000 },
+{ 14	, 1,10,18, 1000, 4700	, 1000 },
+{ 15  	, 1,10,19, 1000, 4700	, 1000 },
+{ 16	, 1,10,20, 1000, 4700	, 1000 },
+
+{ 17	, 1,10,21, 500, 22000	,  500 },
+{ 18	, 1,10,22, 500, 22000	,  500 },
+{ 19	, 1,10,25, 500, 22000  	,  500 },
+{ 20	, 1,10,26, 500, 22000  	,  500 },
+
+{ 21	, 3,10,27, 1000, 22000	,    0 },
+{ 22	, 3,10,28, 1000, 1000	,    0 },
+{ 23	, 3,10,29, 1000, 1000	,    0 },
+{ 0	, 3,10,30, 1000, 1000	,    0 },
+
+},
+{ 
+{ "therm_10k"	, {12000  ,1804000 ,  72800,0,0,0,0} },
+{ "v1-bedif1"  , { 5000  , 123100 , 334200,0,0,0,0}  },		
+{ "v1-bedif2"  , { 5000  , 123100 , 334200,0,0,0,0}  },
+{ "v1-bedif3"  , { 5000  , 123100 , 334200,0,0,0,0}  },
+{ "v1-bedif4"  , { 5000  , 123100 , 334200,0,0,0,0}  },
+
+{ "v1-bedif5"  , { 5000  , 123100 , 334200,0,0,0,0}  },
+{ "v1-bedif6"  , { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif7"  , { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif8"  , { 5000  , 123100 , 334200,0,0,0,0} },
+
+{ "v1-bedif9"  , { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif10" , { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif11" , { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif12" , { 5000  , 123100 , 334200,0,0,0,0} },
+
+{ "v1-bedif13"	, { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif14"	, { 5000  , 123100 , 334200,0,0,0,0} },
+{ "bedif15"  	, {  500  ,  58800 ,  12500,0,0,0,0} },
+{ "bedif16"	, { 5000  , 123100 , 334200,0,0,0,0} },
+
+{ "bedif17"	, { 5000  , 123100 , 334200,0,0,0,0} },
+{ "bedif18"	, { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif19"	, { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif20"	, { 5000  , 123100 , 334200,0,0,0,0} },
+
+{ "germanium"	, { 3500  ,  17100 , 646500,0,0,0,0} },
+{ "therm_4k"	, {12000  ,1804000 ,  72800,0,0,0,0} },
+{ "therm_1.6k"	, {12000  ,1804000 ,  72800,0,0,0,0} },
 
 }
+
 };
 /*fin_param*/
@@ -110,4 +145,58 @@
 
 */
+
+
+int mode_transmission_telemesure[nb_modes_telemesure][nb_type_blocks]= {
+
+/* enregisteur de bord flash :  plafond standard nominal	*/
+/* 0*/	{ 0,10,15,50, 10,50, 0, 0, 0, 0, 0, 0, 1, 1, 1,2500, 0, 0, 0, 0},
+
+/* 1*/	{ 0,10,10, 1, 10, 3, 0, 0, 0, 0, 0, 0, 1, 1, 4,2500, 0, 0, 0, 0},
+
+/* 2*/	{ 0,10,05,01, 10,06, 0, 0, 0, 0, 0, 0, 1, 1, 2,2500, 0, 0, 0, 0},
+
+/* 3*/	{ 0,10, 1,25, 10, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0,2500, 0, 0, 0, 0},
+
+/* 4*/	{ 0,10,15,50, 10,25, 0, 0, 1, 0, 0, 0, 0, 0, 0,2500, 0, 0, 0, 0},
+
+/* 5*/	{ 0,10,15,50, 10,25, 0, 0, 0, 0, 1, 0, 0, 0, 0,2500, 0, 0, 0, 0},
+
+/* 6*/	{ 0,10,15,50, 10,50, 0, 0, 0, 1, 0, 0, 1, 0, 2,2500, 0, 0, 0, 0},
+
+/* 7*/	{ 0,10,15,50,100,50,1, 1, 0, 0, 0, 0, 1, 1, 1,2500, 0, 0, 0, 0},
+
+/* 8*/	{ 0,10,15,50,100,50,1, 1, 1, 0, 0, 0, 0, 0, 0,2500, 0, 0, 0, 0},
+
+/* 9*/	{ 0,10, 1, 1,100, 1,0, 0, 0, 0, 0, 0, 1, 0, 0,2500, 0, 0, 0, 0}
+
+ };
+
+
+
+int mode_transmission_flash[nb_modes_flash][nb_type_blocks]= {
+
+
+/* enregisteur de bord flash : nominal	*/
+/* 0*/	{ 0,50,15,25, 10,25, 0, 0, 0, 1, 0, 0, 1, 0, 1,2500, 0, 0, 0, 0} ,
+
+/* enregisteur de bord flash : minimum	*/
+/* 1*/	{ 0,50,50,50,50,100, 0, 0, 0, 0, 0, 0, 0, 0, 0,2500, 0, 0, 0, 0} ,
+
+/* enregisteur de bord flash :  rien	*/
+/* 2*/	{ 0, 0, 0, 0,  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0} };
+
+
+
+
+
+
+
+
+
+
+
+
+
+
 
 
@@ -182,26 +271,5 @@
 /*debut reglage 0 */
 #ifdef programme
-{30,76,9,1},
-{0
-,10
-,1
-,1
-,10
-,1
-,1
-,0
-,0
-,0
-,0
-,0
-,1
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-},{
+{30,76,9,1},{
 {20,0}
 ,{-1148225771,229380}
@@ -242,26 +310,5 @@
 },{1,3,129,108,3,126,104,88} 
 #else
-{1,9,76,30},
-{1
-,1
-,10
-,0
-,0
-,1
-,1
-,10
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,1
-,0
-,0
-,0
-,0
-},{
+{1,9,76,30},{
 {20,0}
 ,{-1148225771,229380}
@@ -308,26 +355,5 @@
 /*debut reglage 1 */
 #ifdef programme
-{31,76,9,1},
-{0
-,10
-,1
-,1
-,10
-,1
-,0
-,0
-,1
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-},{
+{31,76,9,1},{
 {20,0}
 ,{-1148225771,229380}
@@ -368,26 +394,5 @@
 },{129,3,129,108,3,126,104,88} 
 #else
-{1,9,76,31},
-{1
-,1
-,10
-,0
-,0
-,0
-,1
-,10
-,0
-,0
-,0
-,1
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-},{
+{1,9,76,31},{
 {20,0}
 ,{-1148225771,229380}
@@ -434,26 +439,5 @@
 /*debut reglage 2 */
 #ifdef programme
-{197,191,175,185},
-{0
-,255
-,254
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,83
-,92
-,94
-,98
-,65
-,53
-,53
-,36
-},{
+{197,191,175,185},{
 {0,0}
 ,{0,0}
@@ -494,26 +478,5 @@
 },{88,82,94,108,111,126,104,88} 
 #else
-{185,175,191,197},
-{0
-,254
-,255
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,98
-,94
-,92
-,83
-,36
-,53
-,53
-,65
-},{
+{185,175,191,197},{
 {0,0}
 ,{0,0}
@@ -560,26 +523,5 @@
 /*debut reglage 3 */
 #ifdef programme
-{30,76,9,1},
-{0
-,10
-,1
-,1
-,10
-,1
-,0
-,0
-,0
-,0
-,0
-,0
-,1
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-},{
+{30,76,9,1},{
 {20,0}
 ,{-1149239274,229380}
@@ -620,26 +562,5 @@
 },{1,3,129,108,3,126,104,88} 
 #else
-{1,9,76,30},
-{1
-,1
-,10
-,0
-,0
-,0
-,1
-,10
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,1
-,0
-,0
-,0
-,0
-},{
+{1,9,76,30},{
 {20,0}
 ,{-1149239274,229380}
@@ -686,26 +607,5 @@
 /*debut reglage 4 */
 #ifdef programme
-{30,76,9,1},
-{0
-,10
-,1
-,1
-,10
-,1
-,1
-,0
-,0
-,0
-,0
-,0
-,1
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-},{
+{30,76,9,1},{
 {20,0}
 ,{-1148225771,229380}
@@ -746,26 +646,5 @@
 },{1,3,129,108,3,126,104,88} 
 #else
-{1,9,76,30},
-{1
-,1
-,10
-,0
-,0
-,1
-,1
-,10
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,1
-,0
-,0
-,0
-,0
-},{
+{1,9,76,30},{
 {20,0}
 ,{-1148225771,229380}
@@ -812,26 +691,5 @@
 /*debut reglage 5 */
 #ifdef programme
-{197,191,175,185},
-{0
-,255
-,254
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,83
-,92
-,94
-,98
-,65
-,53
-,53
-,36
-},{
+{197,191,175,185},{
 {0,0}
 ,{0,0}
@@ -872,26 +730,5 @@
 },{88,82,94,108,111,126,104,88} 
 #else
-{185,175,191,197},
-{0
-,254
-,255
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,98
-,94
-,92
-,83
-,36
-,53
-,53
-,65
-},{
+{185,175,191,197},{
 {0,0}
 ,{0,0}
@@ -938,26 +775,5 @@
 /*debut reglage 6 */
 #ifdef programme
-{197,191,175,185},
-{0
-,255
-,254
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,83
-,92
-,94
-,98
-,65
-,53
-,53
-,36
-},{
+{197,191,175,185},{
 {0,0}
 ,{0,0}
@@ -998,26 +814,5 @@
 },{88,82,94,108,111,126,104,88} 
 #else
-{185,175,191,197},
-{0
-,254
-,255
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,98
-,94
-,92
-,83
-,36
-,53
-,53
-,65
-},{
+{185,175,191,197},{
 {0,0}
 ,{0,0}
@@ -1064,26 +859,5 @@
 /*debut reglage 7 */
 #ifdef programme
-{197,191,175,185},
-{0
-,255
-,254
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,83
-,92
-,94
-,98
-,65
-,53
-,53
-,36
-},{
+{197,191,175,185},{
 {0,0}
 ,{0,0}
@@ -1124,26 +898,5 @@
 },{88,82,94,108,111,126,104,88} 
 #else
-{185,175,191,197},
-{0
-,254
-,255
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,0
-,98
-,94
-,92
-,83
-,36
-,53
-,53
-,65
-},{
+{185,175,191,197},{
 {0,0}
 ,{0,0}
@@ -1251,13 +1004,4 @@
 
 
-/* Quand on est sur une machine swappee, on ne cherche pas a verifier */
-/* le checksum, puisqu'on a modifie les blocs, sans swapper par exemple */
-/* les chars des noms de bolometres et des chaines GPS... */
-#ifdef __alpha
-#define SWAP
-#endif
-#if defined(Linux)  || defined(linux)
-#define SWAP
-#endif
 
 
@@ -1270,7 +1014,5 @@
 lg=longueur_block(blk);		if( lg != long_block[type] )		return(block_longueur_erreur);	
 if( blk->mot[(lg/4)-4]  !=	fin_block_mesure)			return(block_fin_erreur);	
-#ifndef SWAP
 som=calcul_somme_block(blk,lg); if( som!= somme_block(blk))		return(block_somme_erreur);
-#endif
 return(block_correct);
 }