Index: trunk/Poubelle/archediab.old/archeops.c
===================================================================
--- trunk/Poubelle/archediab.old/archeops.c	(revision 643)
+++ trunk/Poubelle/archediab.old/archeops.c	(revision 645)
@@ -18,5 +18,12 @@
 /*	Pciel	=	coef5	- Pelec		coef5= I * Ai (tables xavier) 	      */
 /*	tau	=	- ln ( 1 +  Pciel / coef6 )	coef6= I * Bi (tables xavier) */
-/*                                                                                    */
+/*   										      */
+/* Pour les thermometres 1 à 4 (germanium et carbone Allan-Bradley) 		      */
+/* les coefficients sont utilisés differemment, ills permettent de convertir	      */
+/* R vers T								              */
+/*   llR= log(log(R)-c(0))  						              */
+/*    T	= exp(c(1) + c(2)* llR + c(3)* llR* llR + c(4)* llR* llR* llR +               */
+/*            c(5)* llR* llR* llR* llR)                                               */
+/*										      */
 /**************************************************************************************/
 
@@ -33,5 +40,5 @@
 
 
-/*  nom  ,  on/off  ,  0 = MLPA       , N° bolo ,  gain_pa  , capa*1000 , diviseur , coef*10000 */
+/*  numero_nom,  on/off  ,  0 = MLPA       , N° bolo , gain_pa  , capa*1000 , diviseur , coef*10000 */
 /*       ,  0 ou 1  ,  2..8 = BEBO    ,  hard   ,           ,  4700     ,  333     , 		*/
 /*                     10 = Bediff    ,         ,           , 					*/
@@ -44,68 +51,68 @@
 /*----------------------------------  fenetre :  -----------------------------------*/
 
-param_bolo  parametr={26,24,36,88,18,
+param_bolo  parametr={27,24,36,88,18,
 
 { 
-{ 1  , 0,10,1 ,  200, 22000	,  200 },		
-{ 2  , 1,10,2 ,  200, 22000	,  200 },
-{ 3  , 1,10,3 ,  200, 22000	,  200 },
-{ 4  , 0,10,4 ,  200, 22000	,  200 },
-
-{ 5  , 1,10,5 , 1000, 4700	, 1000 },
-{ 6  , 0,10,6 , 1000, 4700	, 1000 },
-{ 7  , 1,10,9 , 1000, 4700	, 1000 },
-{ 8  , 0,10,10, 1000, 4700	, 1000 },
-
-{ 9  , 1,10,11, 1000, 4700	, 1000 },
-{ 10 , 1,10,12, 1000, 4700	, 1000 },
-{ 11 , 1,10,13, 1000, 4700	, 1000 },
-{ 12 , 1,10,14, 1000, 4700	, 1000 },
-
-{ 13	, 1,10,17, 1000, 4700	, 1000 },
-{ 14	, 1,10,18, 1000, 4700	, 1000 },
-{ 15  	, 1,10,19, 1000, 4700	, 1000 },
-{ 16	, 1,10,20, 1000, 4700	, 1000 },
-
-{ 17	, 1,10,21, 500, 22000	,  500 },
-{ 18	, 1,10,22, 500, 22000	,  500 },
-{ 19	, 1,10,25, 500, 22000  	,  500 },
-{ 20	, 1,10,26, 500, 22000  	,  500 },
+{  0 	, 2,10,1 ,  200, 22000	,  200 },	
+{ 10 	, 1,10,2 ,  200, 22000	,  200 },
+{  8 	, 1,10,3 ,  200, 22000	,  200 },
+{  0 	, 2,10,4 ,  200, 22000	,  200 },
+
+{  2 	, 1,10,5 , 1000, 4700	, 1000 },
+{  0 	, 2,10,6 , 1000, 4700	, 1000 },
+{  4 	, 1,10,9 , 1000, 4700	, 1000 },
+{  0 	, 2,10,10, 1000, 4700	, 1000 },
+
+{ 10 	, 1,10,11, 1000, 4700	, 1000 },
+{  7	, 1,10,12, 1000, 4700	, 1000 },
+{  0 	, 1,10,13, 1000, 4700	, 1000 },
+{ 17 	, 1,10,14, 1000, 4700	, 1000 },
+
+{  3	, 1,10,17, 1000, 4700	, 1000 },
+{  1	, 1,10,18, 1000, 4700	, 1000 },
+{  5  	, 1,10,19, 1000, 4700	, 1000 },
+{  0	, 1,10,20, 1000, 4700	, 1000 },
+
+{ 13	, 1,10,21,  500, 22000	,  500 },
+{ 14	, 1,10,22,  500, 22000	,  500 },
+{ 15	, 1,10,25,  500, 22000  ,  500 },
+{ 16	, 1,10,26,  500, 22000  ,  500 },
 
 { 21	, 3,10,27, 1000, 22000	,    0 },
 { 22	, 3,10,28, 1000, 1000	,    0 },
 { 23	, 3,10,29, 1000, 1000	,    0 },
-{ 0	, 3,10,30, 1000, 1000	,    0 },
+{ 19	, 3,10,30, 1000, 1000	,    0 },
 
 },
 { 
-{ "therm_10k"	, {12000  ,1804000 ,  72800,0,0,0,0} },
-{ "v1-bedif1"  , { 5000  , 123100 , 334200,0,0,0,0}  },		
-{ "v1-bedif2"  , { 5000  , 123100 , 334200,0,0,0,0}  },
-{ "v1-bedif3"  , { 5000  , 123100 , 334200,0,0,0,0}  },
-{ "v1-bedif4"  , { 5000  , 123100 , 334200,0,0,0,0}  },
-
-{ "v1-bedif5"  , { 5000  , 123100 , 334200,0,0,0,0}  },
-{ "v1-bedif6"  , { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif7"  , { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif8"  , { 5000  , 123100 , 334200,0,0,0,0} },
-
-{ "v1-bedif9"  , { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif10" , { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif11" , { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif12" , { 5000  , 123100 , 334200,0,0,0,0} },
-
-{ "v1-bedif13"	, { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif14"	, { 5000  , 123100 , 334200,0,0,0,0} },
-{ "bedif15"  	, {  500  ,  58800 ,  12500,0,0,0,0} },
-{ "bedif16"	, { 5000  , 123100 , 334200,0,0,0,0} },
-
-{ "bedif17"	, { 5000  , 123100 , 334200,0,0,0,0} },
-{ "bedif18"	, { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif19"	, { 5000  , 123100 , 334200,0,0,0,0} },
-{ "v1-bedif20"	, { 5000  , 123100 , 334200,0,0,0,0} },
-
-{ "germanium"	, { 3500  ,  17100 , 646500,0,0,0,0} },
-{ "therm_4k"	, {12000  ,1804000 ,  72800,0,0,0,0} },
-{ "therm_1.6k"	, {12000  ,1804000 ,  72800,0,0,0,0} },
+{ "Niente"    , { 5000  ,  0 , 0,   0,0,0,0} },			
+{ "ch1-bolo1"  , { 5000  ,  600000 , 140000,  80000, 25000, 0, 0}  },		
+{ "ch1-bolo2"  , { 5000  ,  600000 , 140000,  60000, 25000, 0, 0}  },
+{ "ch1-bolo3"  , { 5000  ,  600000 , 140000,  65000, 25000, 0, 0}  },
+{ "ch2-bolo4"  , { 5000  ,  600000 , 140000,  90000, 25000, 0, 0}  },
+
+{ "ch2-bolo5"  , { 5000  ,  600000 , 140000, 100000, 25000, 0, 0}  },	
+{ "ch2-bolo6"  , { 5000  ,  600000 , 140000, 110000, 25000, 0, 0}  },
+{ "Dum100mK1"  , { 5000  ,  588000 , 125000,  0,0,0,0} },
+{ "Dum100mK2"  , { 5000  ,  588000 , 125000,  0,0,0,0} },
+
+{ "Dum100mK3"  , { 5000  , 1361800 , 125000,  0,0,0,0} },		
+{ "Dum100mK4"  , { 5000  , 1361800 , 125000,  0,0,0,0} },		
+{ "Lou100mK1"  , { 5000  , 5680000 , 560000,  0,0,0,0} },
+{ "Lou100mK2"  , { 5000  , 5680000 , 560000,  0,0,0,0} },
+
+{ "Lou1.6K5"   , { 5000  ,  0 , 0,   0,0,0,0} },  
+{ "Lou1.6K6"   , { 5000  ,  0 , 0,   0,0,0,0} },  
+{ "Lou10K7"    , { 5000  ,  0 , 0,   0,0,0,0} },  
+{ "Lou10K8"    , { 5000  ,  0 , 0,   0,0,0,0} }, 
+
+{ "R10MOhm"    , { 5000  ,  0 , 0,   0,0,0,0} },  
+{ "bedif18"	, { 5000  , 123100 , 334200,  0,0,0,0} },
+{ "v1-bedif19"	, { 5000  , 123100 , 334200,  0,0,0,0} },
+{ "therm_10k"	, { 45000 ,  28907 , 16028 , -1327 , 1472 , 872, 0} },		
+
+{ "germanium"	, {     0 ,  30719 ,  -910 ,-16389 , 2927 ,   0, 0} },	  
+{ "therm_4k"	, { 45000 ,  28907 , 16028 , -1327 , 1472 , 872, 0} },
+{ "therm_1.6k"	, { 45000 ,  28907 , 16028 , -1327 , 1472 , 872, 0} },
 
 }
@@ -114,5 +121,35 @@
 /*fin_param*/
 
-
+/* Definition Mai-Juin 1999
+{ 
+{ "v1-bedif1"  , 1,10,1 ,  200, 22000	,  200,  { 5000  , 123100 , 334200,0,0,0,0} },		
+{ "v1-bedif2"  , 1,10,2 ,  200, 22000	,  200,  {  500  , 136180 ,   9010,0,0,0,0} },
+{ "v1-bedif3"  , 1,10,3 ,  200, 22000	,  200,  {  500  , 136180 ,   9010,0,0,0,0} },
+{ "v1-bedif4"  , 1,10,4 ,  200, 22000	,  200,  { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif5"  , 1,10,5 , 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif6"  , 1,10,6 , 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
+
+{ "v1-bedif7"  , 1,10,9 , 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif8"  , 1,10,10, 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif9"  , 1,10,11, 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif10" , 1,10,12, 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif11" , 1,10,13, 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif12" , 1,10,14, 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
+
+{ "v1-bedif13"	, 1,10,17, 1000, 100000	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif14"	, 1,10,18, 1000, 470000	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
+{ "bedif15"  	, 1,10,19, 1000, 470000	, 1000,  {  500  ,  58800 ,  12500,0,0,0,0} },
+{ "bedif16"	, 1,10,20, 1000,2200000	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
+{ "bedif17"	, 1,10,21, 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
+{ "bedif18"	, 1,10,22, 1000, 4700	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
+
+{ "v1-bedif19"	, 2,10,25, 1000, 4700  	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
+{ "v1-bedif20"	, 2,10,26, 1000, 4700  	, 1000,  { 5000  , 123100 , 334200,0,0,0,0} },
+{ "germanium"	, 3,10,27, 1000, 22000	,    0,  { 3500  ,  17100 , 646500,0,0,0,0} },
+{ "therm_4k"	, 3,10,28, 1000, 1000	,    0,  {12000  ,1804000 ,  72800,0,0,0,0} },
+{ "therm_1.6k"	, 3,10,29, 1000, 1000	,    0,  {12000  ,1804000 ,  72800,0,0,0,0} },
+{ "therm_10k"	, 3,10,30, 1000, 1000	,    0,  {12000  ,1804000 ,  72800,0,0,0,0} },
+
+}*/
 
 /* bolos campagne 1998-1999	*/